;+
; Copyright © 2008, United States Government as represented by the
; Administrator for The National Aeronautics and Space Administration.
; All Rights Reserved.
;
;-------------------------------------------------------------------------------
;
; environs.inc    Bob Morris, GPM GV (SAIC)    March 2007
;
; DESCRIPTION
; -------------
; Defines file/path parameters for GPM GV Validation Network grid generation
; and analysis routines in IDL.
;
; 11/16/2007  Morris           Changed PR grid version to 1.2 for addition of
;                              2-D grid for Ray Index (PR scan angle).  Added
;                              this file prologue.
;-------------------------------------------------------------------------------
;
; EMAIL QUESTIONS OR COMMENTS TO:
;       <Bob Morris> kenneth.r.morris@nasa.gov
;       <Matt Schwaller> mathew.r.schwaller@nasa.gov
;-


; project/user/host-specific data directory and file naming parameters

; input file definitions
TMP_DIR      = '/data/tmp'        ; I/O control & scratch files located here
NCGRIDS_ROOT = '/data/netcdf'     ; top level dir for output netCDF data files
PRDATA_ROOT  = '/data/prsubsets'  ; top level dir for PR data files
DIR_1C21     = '/1C21'
DIR_2A25     = '/2A25'
DIR_2B31     = '/2B31'
GVDATA_ROOT  = '/data/gv_radar/finalQC_in'  ; top level dir for GV radar data
LOG_DIR      = '/data/logs'

; output file definitions
NC_FILE_EXT  = '.nc'         ; in-common file extension for netCDF files
PR_NCGRIDDIR = '/PR'         ; subdir for output PR netCDF grid files
PR_NCGRIDPRE = '/PRgrids.'   ; file prefix for PR netCDF grid files
GV_NCGRIDDIR = '/NEXRAD'     ; subdir for output GV radar netCDF grid files
GV_NCGRIDPRE = '/GVgrids.'   ; file prefix for GV radar netCDF grid files

; netCDF template files internal/temporary
PR_NCGRIDTEMPLATE = TMP_DIR + '/templatePRgrids' + NC_FILE_EXT
GV_NCGRIDTEMPLATE = TMP_DIR + '/templateGVgrids' + NC_FILE_EXT

; program/outfile version definitions
PR_NC_FILE_VERS = 1.2      ; version of output PR netCDF grid files
GV_NC_FILE_VERS = 1.1      ; version of output GV netCDF grid files
